# Contributing to flutter_local_authentication

Thank you for your interest in contributing to flutter_local_authentication! We welcome contributions from the community to help improve and grow this project. Please take a moment to read through the following guidelines to ensure a smooth contribution process.

## Table of Contents

- [Code of Conduct](#code-of-conduct)
- [Reporting Bugs](#reporting-bugs)
- [Requesting Features](#requesting-features)
- [Contributing Code](#contributing-code)
  - [Getting Started](#getting-started)
  - [Creating Pull Requests](#creating-pull-requests)
  - [Code Review Process](#code-review-process)
  - [Coding Guidelines](#coding-guidelines)
  - [Writing Tests](#writing-tests)
- [License](#license)

## Code of Conduct

Please review our [Code of Conduct](CODE_OF_CONDUCT.md) before contributing to this project. We expect all contributors to adhere to the code of conduct to ensure a welcoming and inclusive environment.

## Reporting Bugs

If you find any bugs or issues with the project, please check the [existing issues](../../issues) to see if it has already been reported. If not, please open a new issue with detailed information about the problem, including steps to reproduce it and your environment.

## Requesting Features

If you have a feature request, you can also check the [existing issues](../../issues) to see if it has been requested before. If not, feel free to open a new issue, explaining the new feature's purpose and use cases.

## Contributing Code

### Getting Started

1. Fork the repository to your GitHub account.
2. Clone your forked repository to your local machine.
3. Create a new branch for your work: `git checkout -b feature/your-feature-name`.
4. Install any necessary dependencies, following the project's setup instructions.
5. Make your code changes, following the coding guidelines.

### Creating Pull Requests

1. Commit your changes with clear and concise commit messages.
2. Push your changes to your forked repository: `git push origin feature/your-feature-name`.
3. Create a pull request (PR) from your forked repository to the project's main repository.
4. Provide a descriptive title and detailed description of your changes in the PR.
5. Reference any related issues or pull requests.
6. Await feedback and participate in the code review process.

### Code Review Process

All contributions will go through a code review process to ensure code quality and adherence to project standards. Be prepared to make changes based on feedback from maintainers.

### Coding Guidelines

- Follow the project's coding style and conventions.
- Ensure your code is well-documented, and include comments where necessary.
- Write clear and concise commit messages.

### Writing Tests

- If you are introducing new features or fixing bugs, include corresponding unit or integration tests.
- Ensure all tests pass before submitting your changes.

## License

By contributing to this project, you agree that your contributions will be licensed under the project's [MIT License](LICENSE).

Thank you for contributing to flutter_local_authentication! We appreciate your support and look forward to your contributions.

## Author

- Ezequiel (Kimi) Aceto - ezequiel.aceto@gmail.com
